%define module_name      spca5xx
%define module_version   0.57.00
%define upstream_version 20050701

Name: kernel-source-%module_name
Version: %module_version
Release: alt1
Summary: Driver for USB cameras based on spca5xx chips - module sources
License: GPL
Group: Development/Kernel
URL: http://mxhaard.free.fr
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

Source: http://mxhaard.free.fr/spca50x/Download/%module_name-%upstream_version.tar.gz

Patch1: spca5xx-20050701-alt-no-c99.patch

BuildArchitectures: noarch
BuildPreReq: kernel-build-tools

%description
The spca5xx driver for Linux provides support for webcams and digital
cameras based on the spca5xx range of chips.

This package contains sources for building the spca5xx kernel module.

%prep
%setup -q -c
%__mv %module_name-%upstream_version %name-%version
cd %name-%version

%patch1 -p1

%__mv Makefile Makefile.upstream
%__grep '^VERSION' <Makefile.upstream >Makefile
%__cat >>Makefile <<'__EOF__'
obj-m := spca5xx.o
spca5xx-objs := drivers/usb/spca5xx.o drivers/usb/spcadecoder.o

EXTRA_CFLAGS := -DSPCA5XX_VERSION=\"$(VERSION)\" -DVID_HARDWARE_SPCA5XX=0xFF
EXTRA_CFLAGS += -DSPCA50X_ENABLE_DEBUG

ifneq ($(wildcard $(TOPDIR)/Rules.make),)

list-multi := $(obj-m)

spca5xx.o: $(spca5xx-objs)
	$(LD) -r -o $@ $(spca5xx-objs)

include $(TOPDIR)/Rules.make

endif
__EOF__

cd ..

%install
%__mkdir_p %kernel_srcdir
tar -cjf %kernel_srcdir/%name-%version.tar.bz2 %name-%version

%files
%attr(0644,root,root) %kernel_src/%name-%version.tar.bz2

%changelog
* Tue Jul 12 2005 Sergey Vlasov <vsu@altlinux.ru> 0.57.00-alt1
- First build for ALT Linux.
